Bug 1978222 - User Management / Users: seeing "Add IdP" button although IdP exists
Summary: User Management / Users: seeing "Add IdP" button although IdP exists
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Robb Hamilton
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-01 11:02 UTC by Stefan Schimanski
Modified: 2021-10-18 17:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:37:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
No Add IDP button (89.83 KB, image/png)
2021-07-20 23:32 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9437 0 None open Bug 1978222: make Users list empty state message more clear 2021-07-07 19:42:44 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:37:51 UTC

Description Stefan Schimanski 2021-07-01 11:02:16 UTC
Description of problem:

1. create a cluster
2. go into console
3. follow link to "Add IdP" page and add htpasswd
4. go to Management / Users
5. see "No Users found, Add identify providers to the OAuth configuration to allow others to log in" <Add IDP button>
6. Click on button and find htpasswd which you had added in 3 🤷‍♂️

Expected results:

- show empty user list
- do not show "Add IDP" button. It suggests the user that something went wrong and the product is buggy.

Comment 1 Robb Hamilton 2021-07-02 12:15:51 UTC
Will need to coordinate with UXD on a design and will do so next sprint.

Comment 3 Siva Reddy 2021-07-20 23:32:32 UTC
Created attachment 1803922 [details]
No Add IDP button


Cluster version: 4.9.0-0.nightly-2021-07-20-014024

Steps to verify:

1. create a cluster
2. go into console
3. follow link to "Add IdP" page and add htpasswd
4. go to Management / Users
5. see "No Users found" 
and "Users are automatically added the first time they log in."

  Now the add idp button is not displayed.

Comment 6 errata-xmlrpc 2021-10-18 17:37:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.